MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002495VCMIMechanics - Town structurespublic2016-09-21 14:142017-11-18 09:41
ReporterPovelitel 
Assigned ToDydzio 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98g 
Target VersionFixed in Version0.next 
Summary0002495: tower on town can using "luck"
Descriptionnever seen. need to check

//имеются ввиду башни города, когда им улыбается удача.
Баллисту видел, башни нет.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006697)
SXX (administrator)
2016-09-21 16:18

Another thing related to luck that need checking: in VCMI Marksmans could get "luck" on second shot. It's worth to find out how this work in H3 and if they get luck only on first shot does it affect both shots or just first one.
(0006698)
Warmonger (administrator)
2016-09-21 16:47

I am pretty sure both shots (attacks) are effected separately.

Otherwise it wouldn't even make sense to have "double attack" - just animation takes longer :P
(0007321)
Dydzio (developer)
2017-11-17 17:29

In OH3 shots are handled the way Warmonger mentioned.
(0007322)
Dydzio (developer)
2017-11-17 20:17

Fixed in: https://github.com/vcmi/vcmi/pull/392 [^]

- Issue History
Date Modified Username Field Change
2016-09-21 14:14 Povelitel New Issue
2016-09-21 16:18 SXX Note Added: 0006697
2016-09-21 16:47 Warmonger Note Added: 0006698
2017-11-17 17:28 Dydzio Assigned To => Dydzio
2017-11-17 17:28 Dydzio Status new => assigned
2017-11-17 17:29 Dydzio Note Added: 0007321
2017-11-17 20:17 Dydzio Note Added: 0007322
2017-11-18 09:41 AVS Status assigned => resolved
2017-11-18 09:41 AVS Fixed in Version => 0.next
2017-11-18 09:41 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean